## hacktv 0+git20190909

=== Makefile ===

CC      := $(CROSS_HOST)gcc
PKGCONF := $(CROSS_HOST)pkg-config
CFLAGS  := -g -Wall -pthread -O3 $(EXTRA_CFLAGS)
LDFLAGS := -g -lm -pthread $(EXTRA_LDFLAGS)
OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o videocrypt.o videocrypts.o syster.o nicam728.o test.o ffmpeg.o file.o hackrf.o
PKGS    := libavcodec libavformat libavdevice libswscale libswresample libavutil libhackrf $(EXTRA_PKGS)

SOAPYSDR := $(shell $(PKGCONF) --exists SoapySDR && echo SoapySDR)
ifeq ($(SOAPYSDR),SoapySDR)
	OBJS += soapysdr.o
	PKGS += SoapySDR
	CFLAGS += -DHAVE_SOAPYSDR
endif

FL2K := $(shell $(PKGCONF) --exists libosmo-fl2k && echo fl2k)
ifeq ($(FL2K),fl2k)
	OBJS += fl2k.o
	PKGS += libosmo-fl2k
	CFLAGS += -DHAVE_FL2K
endif

CFLAGS  += $(shell $(PKGCONF) --cflags $(PKGS))
LDFLAGS += $(shell $(PKGCONF) --libs $(PKGS))

all: hacktv

hacktv: $(OBJS)
	$(CC) -o hacktv $(OBJS) $(LDFLAGS)

%.o: %.c Makefile
	$(CC) $(CFLAGS) -c $< -o $@
	@$(CC) $(CFLAGS) -MM $< -o $(@:.o=.d)

install:
	cp -f hacktv $(PREFIX)/usr/local/bin/

clean:
	rm -f *.o *.d hacktv hacktv.exe

-include $(OBJS:.o=.d)

=== debian/changelog ===
hacktv (0+git20190909-2) unstable; urgency=medium

  * Apply patch to fix FTCBFS: Pass CROSS_HOST to Makefile.
    Thanks Helmut Grohne. (Closes: #940109)
  * Add to debian hams team.
  * Add Vcs fields to d/control.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Sep 2019 09:21:27 +0200

hacktv (0+git20190909-1) unstable; urgency=medium

  * New upstream version.
  * Manual page added.
  * Bump standards version to 4.4.0.
  * d/control: add libosmo-fl2k-dev, and libusb-1.0-0-dev to build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 09 Sep 2019 11:48:18 +0200

hacktv (0+git20190606-1) unstable; urgency=medium

  * Initial release. (Closes: #926445)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 06 Jun 2019 15:06:10 +0200

## hacktv 0+git20191212

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKGCONF := $(CROSS_HOST)pkg-config
 CFLAGS  := -g -Wall -pthread -O3 $(EXTRA_CFLAGS)
 LDFLAGS := -g -lm -pthread $(EXTRA_LDFLAGS)
-OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o videocrypt.o videocrypts.o syster.o nicam728.o test.o ffmpeg.o file.o hackrf.o
+OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o videocrypt.o videocrypts.o syster.o acp.o nicam728.o test.o ffmpeg.o file.o hackrf.o
 PKGS    := libavcodec libavformat libavdevice libswscale libswresample libavutil libhackrf $(EXTRA_PKGS)
 
 SOAPYSDR := $(shell $(PKGCONF) --exists SoapySDR && echo SoapySDR)

=== debian/changelog ===
hacktv (0+git20191212-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 16 Dec 2019 13:25:24 +0100

=== debian/control ===
Source: hacktv
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libhackrf-dev, libsoapysdr-dev, libavutil-dev, libavdevice-dev, libswresample-dev, libswscale-dev, libavformat-dev, libavcodec-dev, pkg-config, libosmo-fl2k-dev, libusb-1.0-0-dev
Standards-Version: 4.4.0
Homepage: https://github.com/fsphil/hacktv
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hacktv.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hacktv

Package: hacktv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Analogue TV transmitter for the HackRF
 This is a program to generate a PAL/NTSC video signal from a video file or
 test pattern. Input is any file type or URL supported by ffmpeg. Output can
 be to a file or directly to a HackRF.
  - Teletext support
  - NICAM stereo audio
  - Rudimentary Videocrypt I hardware support

## hacktv 0+git20200423

=== debian/changelog ===
hacktv (0+git20200423-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 23 Apr 2020 14:16:11 +0200

## hacktv 0+git20200730

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKGCONF := $(CROSS_HOST)pkg-config
 CFLAGS  := -g -Wall -pthread -O3 $(EXTRA_CFLAGS)
 LDFLAGS := -g -lm -pthread $(EXTRA_LDFLAGS)
-OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o videocrypt.o videocrypts.o syster.o acp.o nicam728.o test.o ffmpeg.o file.o hackrf.o
+OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o dance.o eurocrypt.o videocrypt.o videocrypts.o syster.o acp.o nicam728.o test.o ffmpeg.o file.o hackrf.o
 PKGS    := libavcodec libavformat libavdevice libswscale libswresample libavutil libhackrf $(EXTRA_PKGS)
 
 SOAPYSDR := $(shell $(PKGCONF) --exists SoapySDR && echo SoapySDR)

=== debian/changelog ===
hacktv (0+git20200730-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 30 Jul 2020 22:26:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libhackrf-dev, libsoapysdr-dev, libavutil-dev, libavdevice-dev, libswresample-dev, libswscale-dev, libavformat-dev, libavcodec-dev, pkg-config, libosmo-fl2k-dev, libusb-1.0-0-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/fsphil/hacktv
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hacktv.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hacktv

## hacktv 0+git20201203

=== debian/changelog ===
hacktv (0+git20201203-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * Bump debhelper version to 13, drop d/compat.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 03 Dec 2020 09:25:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libhackrf-dev, libsoapysdr-dev, libavutil-dev, libavdevice-dev, libswresample-dev, libswscale-dev, libavformat-dev, libavcodec-dev, pkg-config, libosmo-fl2k-dev, libusb-1.0-0-dev
+Build-Depends: debhelper-compat (= 13), libhackrf-dev, libsoapysdr-dev, libavutil-dev, libavdevice-dev, libswresample-dev, libswscale-dev, libavformat-dev, libavcodec-dev, pkg-config, libosmo-fl2k-dev, libusb-1.0-0-dev
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/fsphil/hacktv
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hacktv.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hacktv

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CROSS_HOST=$(DEB_HOST_GNU_TYPE)-

override_dh_auto_test:
	@echo skipping test

override_dh_auto_install:
	@echo skip install target

## hacktv 0+git20210914

=== debian/changelog ===
hacktv (0+git20210914-1build1) jammy; urgency=medium

  * No-change rebuild against libsoapysdr0.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:12:34 +0000

hacktv (0+git20210914-1) unstable; urgency=medium

  * New upstream version. (Closes: #993698)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 14 Sep 2021 08:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hacktv
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper-compat (= 13), libhackrf-dev, libsoapysdr-dev, libavutil-dev, libavdevice-dev, libswresample-dev, libswscale-dev, libavformat-dev, libavcodec-dev, pkg-config, libosmo-fl2k-dev, libusb-1.0-0-dev
 Standards-Version: 4.5.0

## hacktv 0+git20220202+ds

=== debian/changelog ===
hacktv (0+git20220202+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:51:38 +0000

hacktv (0+git20220202+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 02 Feb 2022 16:02:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libhackrf-dev, libsoapysdr-dev, libavutil-dev, libavdevice-dev, libswresample-dev, libswscale-dev, libavformat-dev, libavcodec-dev, pkg-config, libosmo-fl2k-dev, libusb-1.0-0-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://github.com/fsphil/hacktv
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hacktv.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hacktv
+Homepage: https://github.com/fsphil/hacktv
 
 Package: hacktv
 Architecture: any

## hacktv 0+git20230104+ds

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKGCONF := $(CROSS_HOST)pkg-config
 CFLAGS  := -g -Wall -pthread -O3 $(EXTRA_CFLAGS)
 LDFLAGS := -g -lm -pthread $(EXTRA_LDFLAGS)
-OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o dance.o eurocrypt.o videocrypt.o videocrypts.o syster.o acp.o nicam728.o test.o ffmpeg.o file.o hackrf.o
+OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o dance.o eurocrypt.o videocrypt.o videocrypts.o syster.o acp.o vits.o nicam728.o test.o ffmpeg.o file.o hackrf.o
 PKGS    := libavcodec libavformat libavdevice libswscale libswresample libavutil libhackrf $(EXTRA_PKGS)
 
 SOAPYSDR := $(shell $(PKGCONF) --exists SoapySDR && echo SoapySDR)

=== debian/changelog ===
hacktv (0+git20230104+ds-2build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:49:56 +0200

hacktv (0+git20230104+ds-2) unstable; urgency=medium

  * Team upload.
  * Apply salsa changes forgotten to add previously.

  [ Daniele Forsi ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Fix lintian informational warning hardening-no-bindnow.
  * Override lintian informational warning using-first-person-in-descriptiion.

 -- Gürkan Myczko <tar@debian.org>  Tue, 17 Jan 2023 08:27:18 +0100

hacktv (0+git20230104+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 04 Jan 2023 09:03:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,15 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# The Makefile overrides CFLAGS and LDFLAGS
+# and appends EXTRA_CFLAGS and EXTRA_LDFLAGS
+export EXTRA_CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+export EXTRA_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

## hacktv 0+git20240812+ds

=== src/Makefile ===

VERSION := $(shell git log -1 --pretty='%cd' --date=format:'%Y%m%d')-$(shell git describe --dirty --always)
CC      := $(CROSS_HOST)gcc
PKGCONF := pkg-config
CFLAGS  := -g -Wall -pthread -O3 $(EXTRA_CFLAGS) -DVERSION=\"$(VERSION)\"
LDFLAGS := -g -lm -pthread $(EXTRA_LDFLAGS)
OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o dance.o eurocrypt.o videocrypt.o videocrypts.o syster.o acp.o vits.o vitc.o nicam728.o sis.o av.o av_test.o av_ffmpeg.o rf.o rf_file.o
PKGS    := libavcodec libavformat libavdevice libswscale libswresample libavutil $(EXTRA_PKGS)

HACKRF := $(shell $(PKGCONF) --exists libhackrf && echo hackrf)
ifeq ($(HACKRF),hackrf)
	OBJS += rf_hackrf.o
	PKGS += libhackrf
	CFLAGS += -DHAVE_HACKRF
endif

SOAPYSDR := $(shell $(PKGCONF) --exists SoapySDR && echo SoapySDR)
ifeq ($(SOAPYSDR),SoapySDR)
	OBJS += rf_soapysdr.o
	PKGS += SoapySDR
	CFLAGS += -DHAVE_SOAPYSDR
endif

FL2K := $(shell $(PKGCONF) --exists libosmo-fl2k && echo fl2k)
ifeq ($(FL2K),fl2k)
	OBJS += rf_fl2k.o
	PKGS += libosmo-fl2k
	CFLAGS += -DHAVE_FL2K
endif

CFLAGS  += $(shell $(PKGCONF) --cflags $(PKGS))
LDFLAGS += $(shell $(PKGCONF) --libs $(PKGS))

all: hacktv

hacktv: $(OBJS)
	$(CC) -o hacktv $(OBJS) $(LDFLAGS)

%.o: %.c Makefile
	$(CC) $(CFLAGS) -c $< -o $@
	@$(CC) $(CFLAGS) -MM $< -o $(@:.o=.d)

install:
	cp -f hacktv $(PREFIX)/usr/local/bin/

clean:
	rm -f *.o *.d hacktv hacktv.exe

-include $(OBJS:.o=.d)

=== debian/changelog ===
hacktv (0+git20240812+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1072422)
  * d/rules: set sourcedir.
  * d/install: path updated.

 -- Alex Myczko <tar@debian.org>  Mon, 12 Aug 2024 12:19:43 +0000

hacktv (0+git20230104+ds-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 12:36:32 +0000

## hacktv 0+git20250218+ds

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PKGCONF := pkg-config
 CFLAGS  := -g -Wall -pthread -O3 $(EXTRA_CFLAGS) -DVERSION=\"$(VERSION)\"
 LDFLAGS := -g -lm -pthread $(EXTRA_LDFLAGS)
-OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o mac.o dance.o eurocrypt.o videocrypt.o videocrypts.o syster.o acp.o vits.o vitc.o nicam728.o sis.o av.o av_test.o av_ffmpeg.o rf.o rf_file.o
+OBJS    := hacktv.o common.o fir.o vbidata.o teletext.o wss.o video.o fifo.o mac.o dance.o eurocrypt.o videocrypt.o videocrypts.o syster.o acp.o vits.o vitc.o nicam728.o sis.o av.o av_test.o av_ffmpeg.o rf.o rf_file.o spdif.o
 PKGS    := libavcodec libavformat libavdevice libswscale libswresample libavutil $(EXTRA_PKGS)
 
 HACKRF := $(shell $(PKGCONF) --exists libhackrf && echo hackrf)

=== debian/changelog ===
hacktv (0+git20250218+ds-2) unstable; urgency=medium

  * Apply patch to fix FTCBFS: seed PKGCONF var into build. (Closes: #1085397)
    Thanks Helmut Grohne.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 11:18:04 +0000

hacktv (0+git20250218+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 18 Feb 2025 12:18:35 +0000

=== debian/control ===
Source: hacktv
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 libhackrf-dev,
 libsoapysdr-dev,
 libavutil-dev,
 libavdevice-dev,
 libswresample-dev,
 libswscale-dev,
 libavformat-dev,
 libavcodec-dev,
 pkgconf,
 libosmo-fl2k-dev,
 libusb-1.0-0-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hacktv.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hacktv
Homepage: https://github.com/fsphil/hacktv

Package: hacktv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Analogue TV transmitter for the HackRF
 This is a program to generate a PAL/NTSC video signal from a video file or
 test pattern. Input is any file type or URL supported by ffmpeg. Output can
 be to a file or directly to a HackRF.
  - Teletext support
  - NICAM stereo audio
  - Rudimentary Videocrypt I hardware support

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 # package maintainers to append LDFLAGS
 
 %:
-	dh $@
+	dh $@ --sourcedirectory=src
 
 override_dh_auto_build:
-	dh_auto_build -- CROSS_HOST=$(DEB_HOST_GNU_TYPE)-
+	dh_auto_build -- 'PKGCONF=$$(or $$(PKG_CONFIG),pkg-config)'
 
 override_dh_auto_test:
 	@echo skipping test

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/fsphil/hacktv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
